Get single contact by email and wineryId
POST
/v2/contacts/email
const url = 'https://api-crm-staging.divinea.com/api/v2/contacts/email?email=example&wineryId=example';const options = {method: 'POST', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api-crm-staging.divinea.com/api/v2/contacts/email?email=example&wineryId=example' \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Query Parameters
Sezione intitolata “Query Parameters”email
required
string
wineryId
required
string
WineryId
Responses
Sezione intitolata “Responses”OK
Media type*/*
ContactDTOEmail
object
acceptedMarketing
Accepted Marketing
boolean
Example
trueacceptedPrivacyTerms
Accepted Privacy Terms
boolean
Example
trueacceptedProfiling
Accepted Profiling
boolean
Example
truecontactType
required
Contact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
string
Example
MASTERcountryIso
required
Country ISO
string
Example
ITemail
required
string
Example
john.doe@gmail.comfirstName
required
First Name
string
Example
JohnlastName
required
Last Name
string
Example
DoemanualMarketing
Privacy Manual flagged by winery (has a signed paper)
boolean
Example
falseotherData
Other data to be safe
object
Example
{}phoneNumber
required
Phone Number
string
Example
+39 123456789unsubscribed
Privacy Unsubscribed
boolean
Example
false